import "antd/es/empty/style";
import _Empty from "antd/es/empty";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React from 'react';
import { useMount } from 'ahooks';
import useAntTable from 'ahooks/lib/useAntdTable';
import { useAccess } from '@parallel-line/hooks';

var EmptyText = function EmptyText(_ref) {
  var accessible = _ref.accessible;
  if (!accessible) return /*#__PURE__*/React.createElement(_Empty, {
    image: _Empty.PRESENTED_IMAGE_SIMPLE,
    description: "\u60A8\u6682\u65E0\u6743\u9650\u8BBF\u95EE"
  });
  return /*#__PURE__*/React.createElement(_Empty, {
    image: _Empty.PRESENTED_IMAGE_SIMPLE,
    description: "\u6682\u65E0\u6570\u636E"
  });
};

function useAntdTable(service, options) {
  var accessible = useAccess(options.code);
  var result = useAntTable(service, _objectSpread(_objectSpread({}, options), {}, {
    manual: true
  }));

  var newResult = _objectSpread(_objectSpread({}, result), {}, {
    accessible: accessible,
    tableProps: _objectSpread(_objectSpread({}, result.tableProps), {}, {
      locale: {
        emptyText: /*#__PURE__*/React.createElement(EmptyText, {
          accessible: accessible
        })
      }
    }),
    run: function run() {
      if (!accessible) return;
      return result.run.apply(result, arguments);
    },
    refresh: function refresh() {
      if (!accessible) return;
      return result.refresh();
    },
    search: _objectSpread(_objectSpread({}, result.search), {}, {
      submit: function submit() {
        if (!accessible) return;
        return result.search.submit();
      },
      reset: function reset() {
        if (!accessible) return;
        return result.search.reset();
      }
    })
  });

  useMount(function () {
    if (!options.manual) {
      newResult.search.submit();
    }
  });
  return newResult;
}

export default useAntdTable;